# Compile, corrija e responda

~~~C


#include <stdio.h>

int main(void) {
    char *fmt = "Circunferência de um círculo de raio %d: %.2f\n";
    printf(fmt, r, circ_perim(r));
    return 0;
}

float circ_perim(int raio) {
    /* Circunferência = 2πr */
    return 2 * 3.14 * raio;
}

~~~

## Qual foi o erro encontrado na compilação? 

A variável _r_ não foi declarada antes do uso. A função circ_perim, por ser declarada depois da função _main_ estava sendo reconhecida como valores _int_ e não _float_; 

## Por quê esse erro aconteceu?

Variável não declarada não é reconhecida. A função criada não é reconhecida também pelo compilador e retorna um _int_; 

## Qual foi a solução adotada? 

Arquivo 04_compile_corrija.c :

~~~C 
 #include <stdio.h>
  
   float circ_perim(int raio) {
       /* Circunferência = 2πr */
       return 2 * 3.14 * raio;
   }
       int main(void) {
       int r = 22;
       char *fmt = "Circunferência de um círculo de raio %d: %.2f\n";
      printf(format: fmt, r, circ_perim(raio: r));
      return 0;
  }
 ~~~

## A sua solução é a única possível? Cite outras possibilidades

Não. Acredito que existem várias soluções para o problema. Mas a princípio só consigo enxergar que a variável _r_ pode ser definida como uma variável global. 


