## Pausar a execução de um programa por dez segundos

~~~bash
$ man -k "pause"
sleep (3)            - sleep for a specified number of seconds
$ man 3 sleep
~~~

A função _sleep()_, da _<unistd.h>_ permite a pausa da execução de um programa até o número especificado de segundos terminar.

## Apenas imprimir uma quebra de linha 

~~~bash
$ man -k "print"
puts (3)             - output of characters and strings
$ man 3 puts
~~~

A função _puts()_ imprime a string e uma quebra de linha para _stdout_ 
Eu posso utilizar a função sem argumento para imprimir uma quebra de linha.
~~~C
puts("");
~~~

## Ler um número inteiro interativamente e atribuí-lo a uma variável

~~~bash
$ man -k "input" | grep -i "scan"
fscanf (3)           - input FILE format conversion
scanf (3)            - input FILE format conversion
sscanf (3)           - input string format conversion
vfscanf (3)          - input FILE format conversion
vscanf (3)           - input FILE format conversion
vsscanf (3)          - input string format conversion
$ man 3 scanf
~~~

As funções da família _scanf_ podem ler entradas formatadas. A função _scanf()_ lê a a entrada de dados padrão. 

~~~C
int a;
printf("Insira um número inteiro:\n",)
scanf ("%d", &a);
~~~

## Ler um número inteiro decimal e atribuí-lo a uma variável

Podemos utilizar a função _printf_ para converter os mesmos valores utilizando os especificadores de número octais e hexagonais. 

~~~C
int a = 3; 
printf("decimal %d, base 8 %o, base 16 %x\n",a , a, a); 
~~~

## Terminar a execução de um programa com um valor de estado de término

Podemos utilizar a função exit(), segundo _man 3 exit_, a função causa término do processo e o valor de status -0377 retorna para o parente. Ou seja, podemos utilizar qualquer número inteiro como atributo e o sistema irá utilizar somente enxerga 0-255. 
